builddir = build

pandocflags = --filter writefreely-validate --wrap=none --strip-comments

postid = 7tlde1rgiq

rule pandoc
    command = pandoc $pandocflags -o $out $in
    description = pandoc $out

rule upload
    command = writefreely-cli $postid $in
    description = upload $postid

build $builddir/post-full.md: pandoc 00-intro.md 01-misc-coinflip.md 02-end.md
build upload: upload $builddir/post-full.md
